package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysSciencePlanMapper;
import com.ruoyi.system.domain.SysSciencePlan;
import com.ruoyi.system.service.ISysSciencePlanService;

@Service
public class SysSciencePlanServiceImpl implements ISysSciencePlanService
{
    @Autowired
    private SysSciencePlanMapper sysSciencePlanMapper;

    @Override
    public SysSciencePlan selectSysSciencePlanById(Long id)
    {
        return sysSciencePlanMapper.selectSysSciencePlanById(id);
    }

    @Override
    public List<SysSciencePlan> selectSysSciencePlanList()
    {
        return sysSciencePlanMapper.selectSysSciencePlanList();
    }

    @Override
    public int insertSysSciencePlan(SysSciencePlan sciencePlan)
    {
        return sysSciencePlanMapper.insertSysSciencePlan(sciencePlan);
    }

    @Override
    public int updateSysSciencePlan(SysSciencePlan sciencePlan)
    {
        return sysSciencePlanMapper.updateSysSciencePlan(sciencePlan);
    }

    @Override
    public int deleteSysSciencePlanById(Long id)
    {
        return sysSciencePlanMapper.deleteSysSciencePlanById(id);
    }

    @Override
    public int deleteSysSciencePlanByIds(Long[] ids)
    {
        return sysSciencePlanMapper.deleteSysSciencePlanByIds(ids);
    }
}
